
QGIS Application - Bug report #322

Delimited text plugin doesn't work

2006-09-30 12:36 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10381

Description

It is unable to add layer form delimited text file. Points coordinates and values are not properly interpreted. For expale -- text file (see

below) which was successfully imported in 0.7.4 is not possible to import in current svn version (fails also in WINDOWS preview2)

Content of simple text delimited file:

x y value

12 15 18

64 33 45

77 12 66

History

#1 - 2006-09-30 04:27 PM - Gavin Macaulay -

Works for me in latest svn. In what way doesn't it work for you?

#2 - 2006-10-01 03:56 AM - Redmine Admin

1. Click "Add delimited text layer" - choose test.txt (attached below) as input file, space ( ) as delimiter, then click Parse and choose x fied as X coordinate

and y field as Y coordinate and finally click Add layer button

 2. On the canvas you can see only one point (not all three, which really exist -- see attached screenshot). Try "Full zoom" button -- it won't help. If you play

little with Pan you can explore also two missing points.

 3. Click "Attribute table" icon. As you can see the table is emty (see attached screenshot) althogh it wouldn't be.

Behaviour described above could be observed in  (Linux) as well as in Preview2 (Windows), although it worked in 0.7.4 without these complications.

#3 - 2006-10-01 04:54 PM - Gavin Macaulay -

The problem with points that are exactly on the boundary not being displayed is fixed in svn commit:eab31648 (SVN r5906)

#4 - 2006-10-04 01:50 AM - Gavin Macaulay -

Can you try this again with the latest svn version? I managed to duplicate the problem a few days ago, but it worked fine for me just now...
#5 - 2006-10-04 07:27 AM - Redmine Admin

- Status changed from Open to Closed

- Resolution set to worksforme

In commit:7ee9b7c5 (SVN r5911) it works for me too. Thanks for advance.

#6 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

test.txt 37 Bytes 2006-10-01 Redmine Admin

bug_pic1.png 78.4 KB 2006-10-01 Redmine Admin
